Subject: Re: [ANNOUNCEMENT] Testing: mintty-0.9b2-1
From: Andy Koppe <[email-masked]>
To: Ryan Johnson <[email-masked]>
Cc: [email-masked]
Date: Tue, 28 Sep 2010 13:06:33 +0100
List-Id: <cygwin.cygwin.com>

On 27 September 2010 17:02, Ryan Johnson wrote:
> FWIW, I've been using a home-built mintty-0.9b2 from googlecode all day with
> no problems (loving extended mouse mode!). I swear I just checked setup.exe
> two hours ago, but I'll check again and switch to official one when I get a
> chance.

Yeah, the mirrors vary quite widely in how long it takes for stuff to
get to them.

> FYI, it looks like you can enable extended mouse mode manually (echo -ne
> '\e[?1005h'), and it persists across normal mouse mode sessions.

Does xterm do that differently? In that case I should change it.

> This is
> handy because
> (a) emacs-23 can use it out of the box and

Emacs has got support for that already? I'm positively surprised by
that given the feature only went into xterm a month ago. (Well done
for getting your patch into xterm, btw.)

I can't see a buffer wider than 223 columns being particularly useful,
so I guess the main use is with split windows?

> (b) it works around gnu screen intercepting and ignoring the escape sequence

I suppose that's useful at sizes >95 already then?

>> Xterm compatibility:
>> - 'Extended Mouse Mode' as introduced in xterm #262 is now supported.
>> This allows row/column positions greater than 255 (and up to 2015) to
>> be reported, in case you do get that 30'' monitor ...
>
> Woohoo!

:) Andy

--
Problem reports:       http://cygwin.com/problems.html
FAQ:                   http://cygwin.com/faq/
Documentation:         http://cygwin.com/docs.html
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple